Subject: bug#829: closed (Re: 23.0.60; wrong position of accents in X11)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 04 Nov 2019 13:35:02 +0000

Your bug report

#829: 23.0.60; wrong position of accents in X11

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
829: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=829
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: 23.0.60; wrong position of accents in X11
From: Stefan Kangas <[email-masked]>
To: Peter Dyballa <[email-masked]>
Cc: [email-masked]
Date: Mon, 04 Nov 2019 14:34:25 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Peter Dyballa <[email-masked]> writes:

> I checked with a few GNU Emacs versions. Even version 23.4 handles
> the umlauts in file names correctly.

Thanks for verifying.  I'm consequently closing this bug.

Best regards,
Stefan Kangas

>From [email-masked] Fri Aug 29 14:18:56 2008
To: [email-masked]
From: Peter Dyballa <[email-masked]>
Subject: 23.0.60; wrong position of accents in X11
Date: Fri, 29 Aug 2008 23:18:40 +0200

--Apple-Mail-13--928131599
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=ISO-8859-1;
	format=flowed

Hello!

I have a file named

	RGB =E4=F6=FC=E6=C6=DC=D6=C4.txt

it gets displayed as

--Apple-Mail-13--928131599
Content-Transfer-Encoding: base64
Content-Type: image/tiff;
	x-unix-mode=0666;
	name=pastedGraphic.tiff
Content-Disposition: inline;
	filename=pastedGraphic.tiff

--Apple-Mail-13--928131599
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=WINDOWS-1252;
	delsp=yes;
	format=flowed

The ominous capital C with lowered diaeresis is described as:

         character: O (79, #o117, #x4f)
preferred charset: ascii (ASCII (ISO646 IRV))
        code point: 0x4F
            syntax: w 	which means: word
          category: a:ASCII graphic characters 32-126 (ISO646 IRV:1983=20=

[4/0]) l:Latin
		   r:Japanese roman
       buffer code: #x4F
         file code: #x4F (encoded by coding system utf-8-unix)
           display: by this font (glyph code)
     x:-b&h-lucidatypewriter-medium-r-normal-sans-10-100-75-75-m-60-=20
iso10646-1 (#x4F)

Character code properties: customize what to show
   name: LATIN CAPITAL LETTER O
   general-category: Lu (Letter, Uppercase)

The month name M=E4rz in a file's date is displayed correctly as M=E4r. =20=

Mac OS X 10.4.11, same effect in HFS+ and UFS file systems. Same for =20
=B4, `, ^, and ~ accents.

Emacs.FontBackend:	x
Emacs*font:	-*-lucidatypewriter-medium-r-*-*-10-*-*-*-m-*-iso10646-1

In GNU Emacs 23.0.60.1 (powerpc-apple-darwin8.11.0, X toolkit, Xaw3d =20
scroll bars)
  of 2008-08-29 on localhost
Windowing system distributor `The XFree86 Project, Inc', version =20
11.0.40400000
configured using `configure  '--without-sound' '--without-pop' '--=20
with-dbus' '--with-x-toolkit=3Dathena' '--enable-locallisppath=3D/Library/=
=20
Application Support/Emacs/calendar23:/Library/Application Support/=20
Emacs/caml:/Library/Application Support/Emacs:/sw/share/emacs21/site-=20
lisp/elib' 'PKG_CONFIG_PATH=3D/sw/lib/freetype219/lib/pkgconfig:/sw/lib/=20=

fontconfig2/lib/pkgconfig:/sw/lib/pango-ft219/lib/pkgconfig:/sw/lib/=20
qt4-x11/lib/pkgconfig:/sw/lib/system-openssl/lib/pkgconfig:/sw/lib/=20
pkgconfig:/sw/share/pkgconfig:/usr/local/lib/pkgconfig:/usr/X11R6/lib/=20=

pkgconfig:/usr/lib/pkgconfig' 'CFLAGS=3D-Wno-pointer-sign -bind_at_load =20=

-H -pipe -fPIC -mcpu=3D7450 -mtune=3D7450 -fast -mpim-altivec -ftree-=20
vectorize -foptimize-register-move -freorder-blocks -freorder-blocks-=20
and-partition -fthread-jumps -fpeephole -fno-crossjumping' 'CPPFLAGS=3D-=20=

no-cpp-precomp' 'LDFLAGS=3D-bind_at_load -dead_strip -multiply_defined =20=

suppress -L/sw/lib/ncurses''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: de_DE.UTF-8
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: de_DE.UTF-8
   value of $XMODIFIERS: nil
   locale-coding-system: utf-8-unix
   default-enable-multibyte-characters: t

Major mode: Help

Minor modes in effect:
   tooltip-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   global-auto-composition-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t
   view-mode: t

--
Greetings

   Pete

America believes in education: the average professor earns more money =20=

in a year than a professional athlete earns in a whole week.
				=96 Evan Esar

--Apple-Mail-13--928131599--